Update a material by ID
curl --request PATCH \
--url https://api.ionworks.com/materials/{material_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"definition": {},
"manufacturer": "<string>",
"product_id": "<string>"
}
'import requests
url = "https://api.ionworks.com/materials/{material_id}"
payload = {
"name": "<string>",
"definition": {},
"manufacturer": "<string>",
"product_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
definition: {},
manufacturer: '<string>',
product_id: '<string>'
})
};
fetch('https://api.ionworks.com/materials/{material_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"definition": {},
"manufacturer": "<string>",
"product_id": "<string>",
"created_by": "<string>",
"property_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update a material by ID
Update an existing material identified by its ID.
Only materials in the current organization can be updated.
Update a material by ID
Path Parameters
Body
application/json
Response
Successful Response
Model representing a material as returned by the API.
Name of the material
Unique identifier for the material
Organization ID of the material
Project the material is scoped to, derived from the cell specification(s) that reference it.
Timestamp when the material was created
Timestamp when the material was last updated
Material definition (formula, type, constituents)
Manufacturer of the material
Supplier product ID
User ID of the creator.
Number of property datasets attached to this material
Was this page helpful?